> For the complete documentation index, see [llms.txt](https://docs.peoplelogic.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.peoplelogic.dev/guides/getting-started-with-the-composable-talent-platform/connecting-integrations.md).

# Connecting integrations

All integrations supported by Composable Talent are added the same way to your account.  These integrations are just Apps and so [are managed the same way as any other](https://docs.peoplelogic.dev/guides/key-concepts/apps.md#storing-data-from-an-app).  Remember, you'll need Organization admin or IT Admin permissions to save these apps.

For most you will need at minimum an API key and in many cases you will also need an Access token.  Let's take a look at the general use case for one of the integrations:

```http
POST https://api.peoplelogic.dev/api/v1/app
Content-Type: application/json
Authorization: Bearer {{demoOrgToken}}

{
  "type": "pl:sync:betterworks",
  "internal": false,
  "name": "Acme Corp Betterworks",
  "externalId": "acme-betterworks",
  "secretData": {
    "apiKey": "{{betterWorksApiKey}}"
  }
}
```

The `externalId` and `type` combination must be unique and the specifics of what goes into `secretData` are dependent on each integration.  We'll cover those in the next section!


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.peoplelogic.dev/guides/getting-started-with-the-composable-talent-platform/connecting-integrations.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
